=== Keyboard/Makefile ===
--- 
+++ 
@@ -12,11 +12,7 @@
 
 gzipped-ekbds := $./pc105.ekbd.gz
 
-xkbdir ?= /usr/share/X11/xkb
-
-%.tree : %.ekmap.gz $./keymaptree.use
-	(cd $(kbddir) && set -x && \
-		./keymaptree -output $@ -useonly "$$(cat $./Keyboard/keymaptree.use | grep -v '^#' | xargs | sed 's/ /,/g')" -names ./KeyboardNames.pl $(notdir $(@:%.tree=%)))
+xkbdir ?= $(kbddir)/ckb
 
 $./%.ekmap : model = $(notdir $(@:%.ekmap=%))
 $./%.ekmap :
@@ -65,7 +61,7 @@
 build-common .PHONY : compose-files dkey-files
 compose-files : $(compose_files)
 dkey-files : $(dkey_files)
-build-mini-linux : gzipped-ekmaps $./charmap_functions.sh $./pc105.tree
+build-mini-linux : gzipped-ekmaps $./charmap_functions.sh
 .PHONY : gzipped-ekmaps
 gzipped-ekmaps : $(gzipped-ekmaps)
 build-mini-freebsd : gzipped-ekbds $./charmap_functions.sh
@@ -81,11 +77,10 @@
 clean .PHONY : $~clean
 $~clean:
 	-rm -rf $(kbdcleanfiles)
-	-rm -f *.tree
 
 maintainer-clean .PHONY : $~maintainer-clean
 $~maintainer-clean: $~clean
-	cd $(kbddir) && ./xmlreader $(xkbdir)/rules/xorg.xml >KeyboardNames.pl
+	cd $(kbddir) && ./xmlreader >KeyboardNames.pl
 
-KeyboardNames.pl $./KeyboardNames.pl:
+$./KeyboardNames.pl:
 	$(kbddir)/xmlreader $(xkbdir)/rules/base.xml >$@
