=== debian/changelog ===
console-setup (1.212) unstable; urgency=medium

  * Team upload.

  [ Samuel Thibault ]
  * debian/console-setup-linux.console-setup.service: Make display managers
    wait for console-setup to start, otherwise setupcon cannot work once the
    console has switched to graphical mode.

  [ Updated translations ]
  * Amharic (am.po) by Danial Behzadi
  * Asturian (ast.po) by Danial Behzadi
  * Bengali (bn.po) by Danial Behzadi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 13 Dec 2022 12:15:44 +0100

console-setup (1.211) unstable; urgency=medium

  * Team upload.

  * rules: get version from xkb-data.
  * control: make keybor-configuration depend on the same xkb-data version as
    during build, to make sure we have a coherent set of items in
    KeyboardNames.pl. Closes: #1012041

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Oct 2022 17:14:22 +0200
