=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: console-setup
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anton Zinoviev <zinoviev@debian.org>
-Build-Depends-Indep: xkb-data (>= 1.6), locales-all, sharutils, keymapper
+Build-Depends-Indep: xkb-data (>= 1.6), locales-all, sharutils
 Build-Depends: perl, debhelper (>= 9.20160709), po-debconf, libxml-parser-perl, bdfresize, liblocale-gettext-perl
 Standards-Version: 3.9.1
-XS-Debian-Vcs-Browser: https://salsa.debian.org/installer-team/console-setup
-XS-Debian-Vcs-Git: https://salsa.debian.org/installer-team/console-setup.git
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/console-setup/ubuntu
+Vcs-Browser: https://salsa.debian.org/installer-team/console-setup
+Vcs-Git: https://salsa.debian.org/installer-team/console-setup.git
 
 Package: keyboard-configuration
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, liblocale-gettext-perl
+Depends: ${misc:Depends}, liblocale-gettext-perl, xkb-data (>= ${xkb-data:Version}~), xkb-data (<< ${xkb-data:Version}A)
 Pre-Depends: debconf | debconf-2.0
 Breaks: console-setup (<< 1.71), console-setup-mini (<< 1.47)
 Replaces: console-setup (<< 1.47), console-setup-mini (<< 1.47)
@@ -77,6 +75,17 @@
  This package includes fonts in psf format and definitions of various
  8-bit charmaps.
 
+Package: console-setup-freebsd
+Architecture: all
+Multi-Arch: foreign
+Depends: vidcontrol, kbdcontrol, keyboard-configuration (= ${source:Version}), ${misc:Depends}, init-system-helpers (>= 1.29~) | initscripts
+Suggests: console-setup
+Conflicts: console-setup-linux
+Breaks: console-setup (<< 1.71)
+Replaces: console-setup (<< 1.71)
+Description: FreeBSD specific part of console-setup
+ This package includes raw, uuencoded fonts and various screen maps.
+
 Package: bdf2psf
 Architecture: all
 Multi-Arch: foreign
@@ -101,13 +110,12 @@
 
 Package: console-setup-udeb
 Section: debian-installer
-Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, cdebconf-newt-detect-keys, ${misc:Depends}
+Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, ${misc:Depends}
 Provides: keyboard-setup
 Architecture: all
 Description: Configure the keyboard
  Keyboard configurator for Debian Installer based on console-setup
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 XB-Installer-Menu-Item: 1200
 
 Package: console-setup-amiga-ekmap
@@ -117,7 +125,6 @@
 Architecture: all
 Description: encoded Linux keyboard layouts for Amiga keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-ataritt-ekmap
 Provides: console-setup-ekmap
@@ -126,7 +133,6 @@
 Architecture: all
 Description: encoded Linux keyboard layouts for Atari TT keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-pc-ekmap
 Provides: console-setup-ekmap
@@ -135,7 +141,6 @@
 Architecture: all
 Description: encoded Linux keyboard layouts for PC keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-sun4-ekmap
 Provides: console-setup-ekmap
@@ -144,7 +149,6 @@
 Architecture: all
 Description: encoded Linux keyboard layouts for Sun4 keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-sun5-ekmap
 Provides: console-setup-ekmap
@@ -153,7 +157,6 @@
 Architecture: all
 Description: encoded Linux keyboard layouts for Sun5 keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-pc-ekbd
 Provides: console-setup-ekmap
@@ -162,7 +165,6 @@
 Architecture: all
 Description: encoded FreeBSD keyboard layouts for PC keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-linux-fonts-udeb
 Section: debian-installer
@@ -170,7 +172,13 @@
 Architecture: all
 Description: Linux console fonts for Debian Installer
 Package-Type: udeb
-Build-Profiles: <!noudeb>
+
+Package: console-setup-freebsd-fonts-udeb
+Section: debian-installer
+Depends: ${misc:Depends}
+Architecture: all
+Description: FreeBSD console fonts for Debian Installer
+Package-Type: udeb
 
 Package: console-setup-linux-charmaps-udeb
 Section: debian-installer
@@ -178,4 +186,10 @@
 Architecture: all
 Description: Linux 8-bit charmaps for console-setup-udeb
 Package-Type: udeb
-Build-Profiles: <!noudeb>
+
+Package: console-setup-freebsd-charmaps-udeb
+Section: debian-installer
+Depends: ${misc:Depends}
+Architecture: all
+Description: FreeBSD 8-bit charmaps for console-setup-udeb
+Package-Type: udeb
