## console-setup 1.216

=== debian/changelog ===
console-setup (1.216) unstable; urgency=medium

  * Fonts/Makefile: Generate unifont.bdf from the getting-updates unifont
    package. Closes: #1027446

 -- Samuel Thibault <sthibault@debian.org>  Tue, 31 Jan 2023 19:49:03 +0100

console-setup (1.215) unstable; urgency=medium

  * Team upload.
  * Keyboard/ckbcomp: Fix dead_{ogonek,caron,breve,doubleacute} in layouts.
    See kbd's ./src/libkeymap/syms.synonyms.h about them being aliases for
    other dead keys.
  * Keyboard/{ckbcomp,compose_translator}: Special-case dead_acute +
    dead_diaeresis for greek layouts. Closes: #1026986

 -- Samuel Thibault <sthibault@debian.org>  Fri, 30 Dec 2022 00:36:06 +0100

console-setup (1.214) unstable; urgency=medium

  * Team upload.
  * Keyboard/compose_translator: Do not use Linux aliases for the diacritical
    and base, they don't actually seem supported there by kbd. Closes: #1027247

 -- Samuel Thibault <sthibault@debian.org>  Thu, 29 Dec 2022 10:15:58 +0100

console-setup (1.213) unstable; urgency=medium

  * Team upload.
  * Keyboard/compose_translator: Fix reading ACM files in UTF-8.
  * Keyboard/{ckbcomp,compose_translator}: Fix supporting dead accents in Linux.
    Closes: #1026986
  * Keyboard/Makefile: Add some composition rules for KOI8.
  * Keyboard/{Makefile,ckbcomp,ckbcomp-mini,compose_translator}: Use compose
    files when console is in UTF-8 mode too.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Dec 2022 23:05:49 +0100
