## console-setup 1.217

=== debian/changelog ===
console-setup (1.217) unstable; urgency=medium

  [ Updated translations ]
  * Macedonian (mk.po) by Kristijan Fremen Velkovski

  [ Samuel Thibault ]
  * control: Move unifont and unifont-bin build-deps to b-d.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 15 Feb 2023 17:18:52 +0100
